Name: libmad
Version: 0.15.0b
Release: alt6

Summary: High quality MPEG audio decoder library
License: GPL
Group: Sound
Url: http://mad.sourceforge.net/

Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
Patch1: %name-0.15.0b-speedup.diff
Patch2: %name-0.15.0b-alt-pkgconfig.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

Summary(ru_RU.CP1251):    MPEG

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

%description -l ru_RU.CP1251
MAD -      MPEG.
  MPEG-1,  MPEG-2   ,
     MPEG 2.5.    
   (Layer I, Layer II  Layer III,   MP3).

%package devel
Summary: Development files for MAD
Group: Development/C
PreReq: %name = %version-%release
License: GPL

%description devel
This package contains development files required for packaging
MAD-based software.

%description devel -l ru_RU.CP1251
    ,    MAD
  .

%package devel-static
Summary: Static libraries for MAD
Group: Development/C
PreReq: %name-devel = %version-%release
License: GPL

%description devel-static
This package contains development libraries required for packaging
statically linked MAD-based software.

%description devel-static -l ru_RU.CP1251
     ,  
 MAD    .

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%__autoconf
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure --enable-accuracy %{subst_enable static}
# SMP-incompatiple build 
%make

%install
%makeinstall

%post -n %name -p %post_ldconfig
%postun -n %name -p %postun_ldconfig

%files
%doc CHANGES README INSTALL CREDITS COPYRIGHT TODO VERSION
%_libdir/%name.so.*

%files devel
#_libdir/%name.la
%_libdir/%name.so
%_libdir/pkgconfig/*
%_includedir/mad.h

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Wed Dec 03 2003 Alexey Tourbin <at@altlinux.ru> 0.15.0b-alt6
- Do not package .la files.
- Do not package %name-devel-static by default.

* Fri Nov 21 2003 Andrey Astafiev <andrei@altlinux.ru> 0.15.0b-alt5
- Repaired changelog.

* Fri Nov 14 2003 Andrey Astafiev <andrei@altlinux.ru> 0.15.0b-alt4
- Fixed build for SMP systems.

* Mon Nov 03 2003 Andrey Astafiev <andrei@altlinux.ru> 0.15.0b-alt3
- Added patch for pkgconfig.

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 0.15.0b-alt2
- Added speedup patch.

* Fri Jun 06 2003 Andrey Astafiev <andrei@altlinux.ru> 0.15.0b-alt1
- libmad is now in separate tarball.

* Sat Mar 15 2003 Andrey Astafiev <andrei@altlinux.ru> 0.14.2b-alt4
- Library libid3tag moved to separate binary package.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.14.2b-alt3
- rebuild with gcc-3.2
- Packager tag added.

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 0.14.2b-alt2
- Packager field fixed.

* Fri Nov 09 2001 Andrey Astafiev <andrei@altlinux.ru> 0.14.2b-alt1
- 0.14.2b

* Tue Oct 23 2001 Andrey Astafiev <andrei@altlinux.ru> 0.14.1b-alt1
- 0.14.1b

* Fri Oct 19 2001 Andrey Astafiev <andrei@altlinux.ru> 0.14.0b-alt1
- 0.14.0b

* Mon Sep 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.13.0b-alt2
- Blind minor specfile cleanup.

* Mon Sep 3 2001 Andrey Astafiev <andrei@altlinux.ru> 0.13.0b-alt1
- First version of RPM package.
